org.keycloak.crypto

## Interface ClientSignatureVerifierProviderFactory

- All Superinterfaces:
    ProviderFactory<ClientSignatureVerifierProvider>
  All Known Implementing Classes:
    ES256ClientSignatureVerifierProviderFactory, ES384ClientSignatureVerifierProviderFactory, ES512ClientSignatureVerifierProviderFactory, HS256ClientSignatureVerifierProviderFactory, HS384ClientSignatureVerifierProviderFactory, HS512ClientSignatureVerifierProviderFactory, PS256ClientSignatureVerifierProviderFactory, PS384ClientSignatureVerifierProviderFactory, PS512ClientSignatureVerifierProviderFactory, RS256ClientSignatureVerifierProviderFactory, RS384ClientSignatureVerifierProviderFactory, RS512ClientSignatureVerifierProviderFactory

      public interface ClientSignatureVerifierProviderFactory
      extends ProviderFactory<ClientSignatureVerifierProvider>

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default void` | `close()` This is called when the server shuts down.
    `default void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `default void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `create, getId, order`

- - ### Method Detail

    - #### init

          default void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<ClientSignatureVerifierProvider>`

    - #### postInit

          default void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<ClientSignatureVerifierProvider>`

    - #### close

          default void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `ProviderFactory<ClientSignatureVerifierProvider>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.